## edu.cwru.SimpleRTS.agent
Class ScriptedGoalAgent.RelevantStateView

    java.lang.Object
      edu.cwru.SimpleRTS.agent.ScriptedGoalAgent.RelevantStateView

Enclosing class:
  ScriptedGoalAgent

    static class ScriptedGoalAgent.RelevantStateView

extends java.lang.Object

A simple structure storing relevant details of the state view that can be modified to take other actions into account

Author:
  The Condor

Field Summary
`(package private) java.util.List<java.lang.Integer>` `myUnitIDs`
`int` `nfoodremaining`
`int` `ngold`
`int` `nwood`
`java.util.List<int[]>` `spacesoccupiedbynewbuildings`

Constructor Summary
`ScriptedGoalAgent.RelevantStateView(int playernum, State.StateView state)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ngold

    public int ngold

### nwood

    public int nwood

### nfoodremaining

    public int nfoodremaining

### spacesoccupiedbynewbuildings

    public java.util.List<int[]> spacesoccupiedbynewbuildings

### myUnitIDs

    java.util.List<java.lang.Integer> myUnitIDs

Constructor Detail

### ScriptedGoalAgent.RelevantStateView

    public ScriptedGoalAgent.RelevantStateView(int playernum,
                                               State.StateView state)